clc;
figure
[x,picco]=gabor(0.5,1/250,0.20,6,1,pi*1/2);
plot(x,picco)


[x,osci]=gabor(0.5,1/250,0.35,5,5,pi/2);
plot(x,osci)


signal=picco*150 + osci*70;

plot(x,signal)
hold on
noise=randn(size(signal));

signal_noise = signal + noise*1;
plot(x,signal_noise,'r')


ni=2;
[a,ind]=matching_pursuit(signal_noise,D,ni);
rec=0;
for i= 1:ni;
    rec = rec + a(i)*D(ind(i),:);
end
plot(x,rec,'g');

gof = 1 - sum((signal-rec).^2)/ sum(signal.^2) 
